# Uses of Enum Class
javafx.scene.control.TreeSortMode

Packages that use TreeSortMode
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TreeSortMode in javafx.scene.control

Methods in javafx.scene.control that return TreeSortMode
Modifier and Type
Method
Description
`final TreeSortMode`
TreeTableView.`getSortMode()`
Gets the value of the `sortMode` property.
`static TreeSortMode`
TreeSortMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeSortMode[]`
TreeSortMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type TreeSortMode
Modifier and Type
Method
Description
`final ObjectProperty<TreeSortMode>`
TreeTableView.`sortModeProperty()`
Specifies the sort mode to use when sorting the contents of this TreeTableView, should any columns be specified in the `sort order` list.
Methods in javafx.scene.control with parameters of type TreeSortMode
Modifier and Type
Method
Description
`final void`
TreeTableView.`setSortMode(TreeSortMode value)`
Sets the value of the `sortMode` property.